当前位置:首页 > 开发 > 系统架构 > 架构 > 正文

M2E plugin execution not covered

发表于: 2012-10-25   作者:sunjing   来源:转载   浏览次数:
摘要:     这个问题的官方文档参见 http://wiki.eclipse.org/M2E_plugin_execution_not_covered       Eclipse升级为3.7.2,然后m2e升级为1.1或1.2后,我的项目就报这个错误。影响到的插件为maven-antrun-plugin。按文档所示,增加

    这个问题的官方文档参见 http://wiki.eclipse.org/M2E_plugin_execution_not_covered

 

    Eclipse升级为3.7.2,然后m2e升级为1.1或1.2后,我的项目就报这个错误。影响到的插件为maven-antrun-plugin。按文档所示,增加了如下pom配置:

 

<pluginManagement>

        <plugins>

            <plugin>
                    <groupId>org.eclipse.m2e</groupId>
                    <artifactId>lifecycle-mapping</artifactId>
                    <version>1.0.0</version>
                    <configuration>
                        <lifecycleMappingMetadata>
                            <pluginExecutions>
                                <pluginExecution>
                                    <pluginExecutionFilter>
                                        <groupId>org.apache.maven.plugins</groupId>
                                        <artifactId>maven-antrun-plugin</artifactId>
                                        <versionRange>1.6</versionRange>
                                        <goals>
                                            <goal>run</goal>
                                        </goals>
                                    </pluginExecutionFilter>
                                    <action>
                                        <execute  />
                                    </action>
                                </pluginExecution>
                            </pluginExecutions>
                        </lifecycleMappingMetadata>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>

 

       以上这段配置是不需自己编写的,打开错误的pom文件,在顶端报错信息处,点击quick fix后,m2e插件会自动生成。你需要做的就是修改下action,有三种类型的action:ignoreexecutedelegate ,默认生成的为ignore

M2E plugin execution not covered

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
eclipse在其POM文件的一处提示出错如下: Plugin execution not covered by lifecycle configuratio
异常信息如下: Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:asp
异常信息如下: Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:asp
异常为:pllugin execution not covered by lifecycle configuration: ro.isdc.wro4j:wro4j-maven-p
CoreException:CouldnotgetthevalueforparametercompilerIdforpluginexecutiondefault-compile:Plug
我使用的Eclipse版本是3.7(Indigo) 通过Eclipse的help选项,点击“Install New Software...”弹出安
1.安装eclipse的maven插件 m2e(http://wiki.eclipse.org/M2E_updatesite_and_gittags) Help->Ins
原来的eclipse3.7安装了太多插件后,m2e怎么也安装不成功,因此今天重新下载eclipse4.2,并安装相关
1.安装eclipse的maven插件 m2e(http://wiki.eclipse.org/M2E_updatesite_and_gittags) Help->Ins
第一步在相应的web项目上配置jetty插件,配置如下: <plugin> <groupId>org.mortbay.je
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号